#
# spec file for package python-ConfigUpdater
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ConfigUpdater
Version:        3.2
Release:        1.3
Summary:        Parser like ConfigParser but for updating configuration files
License:        MIT
URL:            https://github.com/pyscaffold/configupdater
Source:         https://files.pythonhosted.org/packages/source/C/ConfigUpdater/ConfigUpdater-%{version}.tar.gz
BuildRequires:  %{python_module pytest-virtualenv}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Provides:       python-configupdater = %{version}-%{release}
%if %python_version_nodots < 38
Requires:       python-importlib-metadata
%endif

BuildArch:      noarch
%python_subpackages

%description
The sole purpose of this program is to easily update an INI config file
with no changes to the original file except the intended ones. This means
comments, the ordering of sections and key/value-pairs as wells as their
cases are kept as in the original file. Thus ConfigUpdater provides
complementary functionality to Python's ConfigParser which is primarily
meant for reading config files and writing new ones.

%prep
%setup -q -n ConfigUpdater-%{version}
sed -i '/--cov/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGELOG.rst README.rst
%license LICENSE.txt
%{python_sitelib}/configupdater
%{python_sitelib}/ConfigUpdater-%{version}*-info

%changelog
* Thu Jul 25 2024 Dirk Müller <dmueller@suse.com>
- remove obsolete python2 constructs
- use version macro in sources
* Wed Jul 24 2024 Angel Yankov <angel.yankov@suse.com>
- Update to v3.2
  * Fix square brackets not parsed in section names, github issue #123
- Remove macro definition from spec as rpmlint check marked it as redundant.
* Wed Jul 13 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for v3.1.1
- Required by ini2toml
